Bug 240607 - mail/dovecot: files/patch-src_master_main.c no longer needed
Summary: mail/dovecot: files/patch-src_master_main.c no longer needed
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Larry Rosenman
URL:
Keywords: needs-patch, needs-qa
Depends on:
Blocks:
 
Reported: 2019-09-16 01:15 UTC by paul.le.gauret
Modified: 2019-10-21 19:12 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (ler)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description paul.le.gauret 2019-09-16 01:15:18 UTC
First a big thank you for maintaining the dovecot port :)

I've noticed that the patch in patch-src_master_main.c is probably no longer needed. The code added is already present in dovecot's source code, just above.
Comment 1 commit-hook freebsd_committer 2019-09-16 01:24:48 UTC
A commit references this bug:

Author: ler
Date: Mon Sep 16 01:24:38 UTC 2019
New revision: 512138
URL: https://svnweb.freebsd.org/changeset/ports/512138

Log:
  mail/dovecot: remove no longer needed patch file.

  PR:		240607
  Submitted by:	paul.le.gauret@gmail.com

Changes:
  head/mail/dovecot/Makefile
  head/mail/dovecot/files/patch-src_master_main.c
Comment 2 Larry Rosenman freebsd_committer 2019-09-16 01:26:23 UTC
Committed, thanks.
Comment 3 paul.le.gauret 2019-10-16 14:47:04 UTC
Someone pointed out the patch was actually needed to deal with STDERR whereas the upstream code is for STDOUT. My mistake, we therefore need the patch back.
Comment 4 commit-hook freebsd_committer 2019-10-16 16:25:31 UTC
A commit references this bug:

Author: ler
Date: Wed Oct 16 16:25:08 UTC 2019
New revision: 514605
URL: https://svnweb.freebsd.org/changeset/ports/514605

Log:
  mail/dovecot: revert removing patch that is still needed.

  PR:		240607

Changes:
  head/mail/dovecot/Makefile
  head/mail/dovecot/files/patch-src_master_main.c
Comment 5 Larry Rosenman freebsd_committer 2019-10-16 16:26:02 UTC
re-added.  Thanks
Comment 6 Felipe Zipitria 2019-10-21 19:12:39 UTC
I was that someone ;), and the cross reference to have it documented here also is this one: ttps://bugs.freebsd.org/bugzilla/show_bug.cgi?id=228003.